6.0.0-git
2019-03-19

[#10090] Imp preferences creates wrong sent items folder
Summary Imp preferences creates wrong sent items folder
Queue IMP
Queue Version 5.0.3
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester simon (at) simonandkate (dot) net
Created 2011-05-17 (2863 days ago)
Due
Updated 2011-06-07 (2842 days ago)
Assigned 2011-06-02 (2847 days ago)
Resolved 2011-06-07 (2842 days ago)
Milestone
Patch No

History
2011-06-07 08:14:43 Michael Slusarz State ⇒ Resolved
 
2011-06-07 08:14:17 Git Commit Comment #7 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10090: Fix selecting sent-mail mailbox for not empty namespaces

  3 files changed, 11 insertions(+), 8 deletions(-)
http://git.horde.org/horde-git/-/commit/6aeeced5784893f94535162f057e746772a896f4
2011-06-03 13:08:15 simon (at) simonandkate (dot) net Comment #6 Reply to this comment
Whilst the Traditional interface can't delete the Inbox.Sent Items 
that is created, Dynamic can.
2011-06-02 22:15:24 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Priority ⇒ 2. Medium
 
2011-06-02 00:01:45 simon (at) simonandkate (dot) net Comment #5 Reply to this comment
Original issue of INBOX>Sent Items creation independently confirmed by 
Vilius (vilius at lnk.lt)

"Hello,
Emails that are sent are correctly saved into "Sent" folder.
But - in Imp Personal Information Preferences, if I select Sent 
Mail  Folder and select "Sent Items" from the drop-down list, it 
creates a  NEW Sent Items folder underneath Inbox - "Inbox.Sent 
Items".
Confirmed.

--
Best regards,
  Vilius"


2011-06-01 23:06:08 simon (at) simonandkate (dot) net Comment #4 Reply to this comment
Imp 5.0.5 installed this morning, and retried this to see if it continues.

It is now worse.

Selecting Sent Items in the Prefs / Personal Information / Sent Mail 
Folder creates a folder under Inbox as previously, not selecting Sent 
Items.

NEW - now you can't delete it. Trying to delete either Inbox.Sent 
Items or the phantom INBOX folder that appears now both create a 
"Could Not Open Mailbox" warning in the UI.

Opening my mailbox in Cyrus Admin console shows only my normal Cyrus 
structure - I have a "simon" mailbox, with underneath it being Deleted 
Items, Sent Items, Drafts, Spam, and Saved Emails. Imp successfully 
displays the contents of Cyrus' simon.Sent Items folder in its Sent 
view.
2011-05-26 08:14:12 simon (at) simonandkate (dot) net Comment #3
New Attachment: sent.jpg Download
Reply to this comment
Nope... :(

Still does it in Imp 5.0.4.

Even worse actually, Selecting the existing "Sent Items" in the 
drop-down in Prefs now creates an "Inbox.Sent Items" folder, and 
spawns a phantom "INBOX" folder that doesn't actually exist - see 
screenshot attached.

Deleting the Inbox.Sent Items is successful, and logging out / back in 
makes the phantom INBOX folder disappear.

One question - I notice that in the drop down it's Sent Items, but in 
Imp's list it's Sent.

On the Cyrus server the folder is called "Sent Items", and that is 
what I have set $conf[server][fixed_folders] to keep - Drafts, Sent 
Items, Spam, Deleted Items.

Why does Imp display it as "Sent" and not "Sent Items"? Or Trash and 
not "Deleted Items"?
2011-05-19 18:18:58 Michael Slusarz Comment #2
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
This would have been fixed with my fixes from earlier today.
2011-05-17 05:41:19 simon (at) simonandkate (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Imp preferences creates wrong sent items folder
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
New H4 system.

My mail setup is a Cyrus IMAP server located on a separate server. 
IMAP mailbox structure is Inbox, Drafts, Saved Emails (with 
subfolders), Sent Items, Spam, Deleted Items - all at the same level. 
These display with Inbox, Drafts, Saved Emails, Sent, Spam, Trash as 
top level folders in Imp.

Emails that are sent are correctly saved into "Sent" folder.

But - in Imp Personal Information Preferences, if I select Sent Mail 
Folder and select "Sent Items" from the drop-down list, it creates a 
NEW Sent Items folder underneath Inbox - "Inbox.Sent Items".


Saved Queries